tf6to5server

package
v0.16.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: May 8, 2024 License: MPL-2.0 Imports: 5 Imported by: 3

Documentation

Overview

Package tf6to5server translates a provider that implements protocol version 6, into one that implements protocol version 5.

Supported protocol version 6 provider servers include any which implement the tfprotov6.ProviderServer (https://pkg.go.dev/github.com/hashicorp/terraform-plugin-go/tfprotov6#ProviderServer) interface, such as:

Refer to the DowngradeServer() function for wrapping a server.

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

func DowngradeServer

func DowngradeServer(ctx context.Context, v6server func() tfprotov6.ProviderServer) (tfprotov5.ProviderServer, error)

DowngradeServer wraps a protocol version 6 ProviderServer in a protocol version 5 server. Protocol version 5 is not backwards compatible with protocol version 6, so additional validation is performed:

  • GetProviderSchema is called to ensure SchemaAttribute.NestedType (nested attributes) are not implemented.

Protocol version 5 servers require Terraform CLI 0.12 or later.

Types

This section is empty.

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL